Loading...
Searching...
No Matches
Opm::NumericalAquifers Class Reference

## Public Member Functions

| NumericalAquifers (const Deck &deck, const EclipseGrid &grid, const FieldPropsManager &field_props)
int | numRecords () const
size_t | size () const
bool | hasAquifer (size_t aquifer_id) const
const SingleNumericalAquifer & | getAquifer (size_t aquifer_id) const
const std::map< size_t, SingleNumericalAquifer > & | aquifers () const
bool | operator== (const NumericalAquifers &other) const
std::unordered_map< size_t, const NumericalAquiferCell * > | allAquiferCells () const
std::vector< std::size_t > | allAquiferCellIds () const
std::unordered_map< size_t, double > | aquiferCellVolumes () const
std::vector< NNCdata > | aquiferCellNNCs () const
std::vector< NNCdata > | aquiferConnectionNNCs (const EclipseGrid &grid, const FieldPropsManager &fp) const
std::unordered_map< size_t, AquiferCellProps > | aquiferCellProps () const
void | applyMinPV (const EclipseGrid &grid)
void | initConnections (const Deck &deck, const EclipseGrid &grid)
void | postProcessConnections (const EclipseGrid &grid, const std::vector< int > &actnum)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static NumericalAquifers | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/NumericalAquifer/NumericalAquifers.hpp
- opm/input/eclipse/EclipseState/Aquifer/NumericalAquifer/NumericalAquifers.cpp